% Time-stamp: <naw-latex.cls: Wednesday 06-03-2002 at 11:57:09 (cet)>
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{naw-latex}[2002/03/06 Voorlopige NAW opmaak]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{amsart}}
\ProcessOptions

\LoadClass[a4paper]{amsart}

%
\pagestyle{empty}
%
% kolommen
%
\usepackage{multicol}
%
% `layout'
%
\setlength\textwidth{183mm }
\setlength\textheight{240mm }
\addtolength\textheight\topskip
\setlength\columnsep{6mm }
\calclayout
%
\newif\ifinkolommen
\def\@kolommen{%
    \ifinkolommen\else
       \global\inkolommentrue
       \expandafter\startkolommen
    \fi}
\def\startkolommen{\begin{multicols}}
\def\stopkolommen{%
    \ifinkolommen
       \end{multicols}
       \global\inkolommenfalse
    \fi}
%
\AtEndDocument{\stopkolommen}
%
% auteurs etc verzamelen
%
\RequirePackage{keyval}
\newcounter{numauts}
\define@key{naw}{Titel}{\def\Titel{#1}}
\define@key{naw}{AuteurA}{\def\AuteurA{#1}%
                          \global\advance\c@numauts\@ne}
\define@key{naw}{AuteurB}{\def\AuteurB{#1}%
                          \global\advance\c@numauts\@ne}
\define@key{naw}{AuteurC}{\def\AuteurC{#1}%
                          \global\advance\c@numauts\@ne}
\define@key{naw}{AdresA}{\def\AdresA{#1}}
\define@key{naw}{AdresB}{\def\AdresB{#1}}
\define@key{naw}{AdresC}{\def\AdresC{#1}}
\define@key{naw}{EmailA}{\def\EmailA{#1}}
\define@key{naw}{EmailB}{\def\EmailB{#1}}
\define@key{naw}{EmailC}{\def\EmailC{#1}}
\define@key{naw}{kolommen}{\def\kolommen{#1}}
%
\count@\z@
\loop\ifnum\count@<3
     \advance\count@\@ne
     \@xp\let\csname Auteur\@Alph\count@\endcsname\leavevmode
     \@xp\let\csname Adres\@Alph\count@\endcsname\leavevmode
     \@xp\let\csname Email\@Alph\count@\endcsname\leavevmode
\repeat
\def\kolommen{2}
%
\def\crlf{\\}
%
% Het verzamelen en afdrukken gebeurt hier
%
\def\StartArtikel[#1]{%
    \setkeys{naw}{#1}
    \ZetAuteursEnTitel
    \@kolommen\kolommen}
%
% en afdrukken
%
\newcommand\ZetAuteursEnTitel{%
    \begin{multicols}{3} 
       \AuteurA\\\AdresA\\\texttt{\EmailA} \\
       \AuteurB\\\AdresB\\\texttt{\EmailB} \\
       \AuteurC\\\AdresC\\\texttt{\EmailC}
    \end{multicols}
    \vskip25mm
    \leftline{\Huge\bfseries\sffamily\Titel}
    \vskip25mm}
\renewcommand\ZetAuteursEnTitel{%
    \begingroup
    \dimen@\linewidth
    \advance\dimen@ -2\columnsep
    \divide\dimen@ 3\relax \tabskip\z@ 
    \parindent\z@
    \small\sffamily
    \valign{\hsize\dimen@##\strut\endgraf\vfil\tabskip2\p@&&
            \hsize\dimen@##\strut\endgraf\vfil\tabskip\z@\cr
            \AuteurA&\AdresA&\texttt{\EmailA}\cr
                 \noalign{\hskip\columnsep}
            \AuteurB&\AdresB&\texttt{\EmailB}\cr
                 \noalign{\hskip\columnsep}
            \AuteurC&\AdresC&\texttt{\EmailC}\cr}
    \endgroup
    \vskip25mm
    \leftline{\Huge\bfseries\sffamily\Titel}
    \vskip25mm}
%
% Lead-in
%
\newcommand\StartLeadIn{%
    \begingroup\bfseries\noindent}
\newcommand\StopLeadIn{%
    \endgraf\endgroup
    \nextparnoindent\par\bigskip}
\newcommand\nextparnoindent{%
    \everypar{{\setbox\z@\lastbox}\everypar{}}}
%
% section etc
%
\renewcommand{\section}{%
    \@startsection{section}{1}{\z@}%
                  {-\bigskipamount}%
                  {1\p@ }%
                  {\reset@font\bfseries\sffamily}}
%
% toevoegingen Chris Zaal
%
\let\onderwerp\section
%
%
% bibliografie
%
\let\origbibitem\bibitem
\def\bibitem#1{%
    \addtobiblist{#1}\@namedef{#1}}
\def\biblist{}
\def\addtobiblist#1{\let\!\relax\edef\biblist{\biblist\!{#1}}}
\def\drukbibitemaf#1{\origbibitem{#1}\@nameuse{#1}}
\def\completepublications{%
    \stopkolommen
    \vfill %\vskip \z@ plus 1filll\relax
    \@kolommen3
    \begin{thebibliography}{99}
    \let\!\drukbibitemaf
    \def\taal[##1]{}
    \biblist
    \end{thebibliography}}

\endinput


\renewcommand\subsection{%
    \@startsection{subsection}{2}{\z@}%
                  {-\bigskipamount}%
                  {1\p@ }%
                  {\reset@font\bfseries\sffamily}}
\renewcommand\subsubsection{%
    \@startsection{subsubsection}{3}{\z@}%
                  {1ex\@plus .5ex \@minus .2ex}%
                  {-.5ex \@plus -.2ex}%
                  {\reset@font\normalsize\bfseries}}
\setcounter{secnumdepth}{0}
%
% lijstjes
%
\setlength\leftmargini   {\z@}
\setlength\leftmarginii  {\z@}
\setlength\leftmarginiii {\z@}
\setlength\leftmarginiv  {\z@}
\setlength\leftmarginv   {\z@}
\setlength\leftmarginvi  {\z@}
%\setlength\parindent     {\z@}
\setlength\labelwidth    {\z@}
\addtolength\labelwidth  {-\labelsep}
\def\@listI{\leftmargin\leftmargini
            \parsep 1\p@ \@plus2\p@ \@minus\p@
            \topsep 6\p@ \@plus2\p@ \@minus4\p@
            \itemsep1\p@ \@plus2\p@ \@minus\p@}
\let\@listi\@listI
\@listi
%
\def\@mklab#1{\hfil\textbf{#1}}
\renewenvironment{enumerate}%
     {\list{\arabic{enumi}.}{\usecounter{enumi}}}%
     {\endlist}
\newenvironment{lijstI}%
     {\list{\Roman{enumi}.}{\usecounter{enumi}}}%
     {\endlist}
%
\newenvironment{reflijst}%
     {\list{[\arabic{enumi}]}{\usecounter{enumi}}}%
     {\endlist}
%
% Wat is de wiskunde zonder stellingen?
%
\def\Stelling#1{%
    \par\smallskip
    \noindent\textbf{#1.}\enspace
    \slshape\enspace\ignorespaces}
\def\endStelling{\par\smallskip}
%
\newenvironment{stelling}%
     {\Stelling{Stelling}}%
     {\endStelling}

\newenvironment{lemma}%
     {\Stelling{Lemma}}%
     {\endStelling}
%
% zonder bewijzen gaat het helemaal niet
%
\newenvironment{bewijs}%
     {\par\ifdim\lastskip<\smallskipamount \removelastskip\smallskip\fi
      \noindent\textsc{Bewijs}.\enspace\ignorespaces}%
     {\par\smallskip}
%
% plain alignments
%
\def\eqalignenv{%
    \null\,
    \vcenter\bgroup\openup\jot
                   \m@th\def\\{\cr}
                   \ialign\bgroup\strut\hfil$\displaystyle{##}$&
                                  $\displaystyle{{}##}$\hfil\crcr}
\def\endeqalignenv{\crcr\egroup\egroup\,}
\def\eqalign#1{\eqalignenv#1\endeqalignenv}
%
\def\eqalignno{%
    $$\displ@y
      \tabskip\@centering\let\\\cr
      \halign to\displaywidth\bgroup
                \hfil$\@lign\displaystyle{##}$\tabskip\z@skip
               &$\@lign\displaystyle{{}##}$\hfil\tabskip\@centering
               &\llap{$\@lign##$}\tabskip\z@skip\crcr}
\def\endeqalignno{\crcr\egroup$$\aftergroup\ignorespaces}
%
% stelsels
%
\def\stelsel{\,\vcenter\bgroup\def\\{\cr}
                          \normalbaselines\m@th
                          \ialign\bgroup&$\hfil##$&${}##{}$\crcr
                          \mathstrut\crcr\noalign{\kern-\baselineskip}}
\def\endstelsel{\crcr\mathstrut\crcr
                \noalign{\kern-\baselineskip}\egroup\egroup}
%
% varia
%
\def\regelwit{\par\vskip\baselineskip}
\let\witregel\regelwit
%
\def\ster{\llap{${}^{\star}$}}
\def\eenster{\llap{${}^{\bullet}$}}
\def\tweester{\llap{${}^{\bullet\bullet}$}}
\def\driester{\llap{${}^{\bullet\bullet\bullet}$}}
%
%
\mathcode`\?="013B
\newcommand\eh{\,\mathrm}
\def\graden{^\circ}
\def\hoek#1{\angle\mathit{#1}}
%
\def\smfrac#1#2{\smash{\textstyle\frac{#1}{#2}}}
\def\half{\smfrac12 }
\def\kwart{\smfrac14 }
%
\let\verz\mathbf
\newcommand\C{\verz{C}}
\newcommand\N{\verz{N}}
\newcommand\Q{\verz{Q}}
\newcommand\R{\verz{R}}
\newcommand\Z{\verz{Z}}
%
\let\boektitel\textit
%
\def\URL#{\bgroup
          \def\do##1{\catcode`##1=12 }\dospecials\catcode`\}=2 %
          \catcode`\_=13
          \URLfont\let\next= }
\let\URLfont\slshape
%
%\nofiles
%
% toevoegingen Chris Zaal
%
\let\onderwerp\section
%
\endinput









